function setRunning( handles, running )
fprintf( 1, '%s\n', mfilename() );
    set( handles.runFlag, 'Value', running );
    if isfield( handles, 'runColors' )
        if running
            theColor = handles.runColors.runningColor;
        else
            theColor = handles.runColors.readyColor;
            clearFlag( handles, 'runFlag' );
        end
        set( handles.runPanel, 'BackgroundColor', handles.runColors.theColor );
        c = get( handles.runPanel, 'Children' );
        for i=1:length(c)
            if strcmp( get( c(i), 'Style' ), 'text' )
                set( handles.numStepsStaticText, 'BackgroundColor', handles.runColors.theColor );
            end
        end
    end
end
